//Construct State Capacity Index - V-Dem//
//6-7-20//
//12-23-21//
//Colin O'Reilly and Ryan Murphy//


**Import VDem**

*VDem 2019*
clear
cd "G:\My Drive\Research Paper\State Capacity"
use "G:\My Drive\Research Paper\State Capacity\Country_Year_V-Dem_Full+others_STATA_v9\Country_Year_V-Dem_Full+others_STATA_v9\V-Dem-CY-Full+Others-v9.dta" 
*save vdem_original.dta , replace
xtset country_id year

**Constrcut State Capacity and PCA**

*State Capacity - Narrow Index*
*Rule of Law, Territory, Impartial Admin, Particularistic Public Goods*
pca v2x_rule v2svstterr v2clrspct v2dlencmps, comp(4)
predict statecap_baseline pc2_statecap_baseline pc3_statecap_baseline pc4_statecap_baseline, score
label var statecap_baseline "State Capacity Baseline"


*State Capacity - With Fiscal*
*Rule of Law, Territory, Impartial Admin, Particularistic Public Goods, Fiscal*
pca v2x_rule v2svstterr v2clrspct v2dlencmps v2stfisccap, comp(4)
predict statecap_base_fiscal pc2_statecap_base_fiscal pc3_statecap_base_fiscal pc4_statecap_base_fiscal, score
label var statecap_base_fiscal "State Capacity Fiscal"
		
		
*State Capacity*
*Comprehensive: Rule of Law, Territory, Impartial Admin, Particularistic Public Goods, Fiscal, Education*
pca v2x_rule v2svstterr v2clrspct v2dlencmps v2stfisccap v2peedueq, comp(4)
predict statecap_base_fiscal_edu pc2_statecap_base_fiscal_edu pc3_statecap_base_fiscal_edu pc4_statecap_base_fiscal_edu , score
label var statecap_base_fiscal_edu "State Capacity Comprehensive"


*Keep needed variables*
keep country_name-year e_migdpgro e_migdpgrolns v2x_rule v2clrspct v2stcritrecadm ///
v2excrptps v2stfisccap v2dlencmps v2svstterr v2peedueq year e_migdppcln e_migdppc ///
e_miinteco e_miinterc e_civil_war v2x_polyarchy e_wbgi_gee e_wbgi_vae e_fh*  statecap* ///
pc2_statecap_base_fiscal_edu pc3_statecap_base_fiscal_edu pc4_statecap_base_fiscal_edu ///
v2csantimv v2csprtcpt v2cscnsult v2x_cspart v2xcs_ccsi v2xel_frefair  v2jureform 


**Save Dataset**
keep country_name country_text_id country_id year state* v2x_rule v2svstterr v2clrspct v2dlencmps v2stfisccap v2peedueq
order country* year state* v*
cd "G:\My Drive\Research Paper\State Capacity"

*Save Full Dataset*
save statecap_finalv9.dta , replace

export excel using "G:\My Drive\Research Paper\State Capacity\statecap_finalv9.xlsx", firstrow(variables) replace